package function

import (
	"encoding/json"
	"fmt"
	"io"
	"net/http"
	"net/url"
	"os"
	"strings"

	"github.com/JamZYM/golagrange/api"
)

func Func_bvdl(msg_text string, connBot api.WsBot, user_id int) {
	bv := strings.Replace(msg_text, "/bvdl ", "", 1)
	info, err := http.Post("http://"+os.Getenv("HOST")+":"+os.Getenv("BVDLPORT")+"/api/info?bv="+bv, "application/json", nil)
	if err != nil {
		connBot.Send_private_msg(user_id, "请求失败")
		fmt.Println(err)
	} else {
		defer info.Body.Close()
		var jsondata map[string]interface{}
		data, _ := io.ReadAll(info.Body)
		json.Unmarshal(data, &jsondata)
		title := jsondata["videos"].(map[string]interface{})["1"].(map[string]interface{})["title"].(string)
		fmt.Println("http://" + os.Getenv("HOST") + ":" + os.Getenv("BVDLPORT") + "/api/download?bv=" + bv + "&title=" + title)

		qbv := url.QueryEscape(bv)
		qtitle := url.QueryEscape(title)
		geturl := "http://" + os.Getenv("HOST") + ":" + os.Getenv("BVDLPORT") + "/api/download?bv=" + qbv + "&title=" + qtitle
		result, err := http.Get(geturl)

		if err != nil {
			connBot.Send_private_msg(user_id, "下载失败")
			fmt.Println(err)
		} else {
			fmt.Print(result.Body)
			connBot.Send_private_msg(user_id, title)
		}
	}
}
